#ifndef PROCESSMD5SUM_H
#define PROCESSMD5SUM_H

#include "src/process/processbasic.h"
#include <QGSettings/QGSettings>
class ProcessMd5sum : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessMd5sum(void *cdrom, QString checkFile, QObject *parent = nullptr);
    ~ProcessMd5sum();
protected:
    bool prepare() Q_DECL_OVERRIDE;
    bool worked();
protected slots:
    void slotsStart(){}
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private:
    int     m_iProgress;
    void   *m_oCDROM;
    QString m_oCheckFile;
    QGSettings *auditburner;
    QString auditlogpath;
};

#endif // PROCESSMD5SUM_H
